CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2018-1000613

Legion of the Bouncy Castle Legion of the Bouncy Castle Java Cryptography APIs 1.58 up to but not including 1.60 contains a CWE-470: Use of Externally-Controlled Input to Select Classes or Code ('Unsafe Reflection') vulnerability in XMSS/XMSS^MT private key deserialization that can result in Deserializing an XMSS/XMSS^MT private key can result in the execution of unexpected code. This attack appear to be exploitable via A handcrafted private key can include references to unexpected classes which will be picked up from the class path for the executing application. This vulnerability appears to have been fixed in 1.60 and later.
Publish Date : 2018-07-09 Last Update Date : 2022-01-14
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 502

- Products Affected By CVE-2018-1000613

# Product Type Vendor Product Version Update Edition Language
1 Application Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api * * * * Version Details Vulnerabilities
2 Application Netapp Oncommand Workflow Automation - * * * Version Details Vulnerabilities
3 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities
4 Application Oracle Api Gateway 11.1.2.4.0 * * * Version Details Vulnerabilities
5 Application Oracle Banking Platform 2.6.0 * * * Version Details Vulnerabilities
6 Application Oracle Banking Platform 2.6.1 * * * Version Details Vulnerabilities
7 Application Oracle Banking Platform 2.6.2 * * * Version Details Vulnerabilities
8 Application Oracle Business Process Management Suite 11.1.1.9.0 * * * Version Details Vulnerabilities
9 Application Oracle Business Process Management Suite 12.1.3.0.0 * * * Version Details Vulnerabilities
10 Application Oracle Business Process Management Suite 12.2.1.3.0 * * * Version Details Vulnerabilities
11 Application Oracle Business Transaction Management 12.1.0 * * * Version Details Vulnerabilities
12 Application Oracle Communications Application Session Controller 3.7.1 * * * Version Details Vulnerabilities
13 Application Oracle Communications Application Session Controller 3.8.0 * * * Version Details Vulnerabilities
14 Application Oracle Communications Converged Application Server * * * * Version Details Vulnerabilities
15 Application Oracle Communications Converged Application Server 7.0.0.1 * * * Version Details Vulnerabilities
16 Application Oracle Communications Convergence 3.0.2 * * * Version Details Vulnerabilities
17 Application Oracle Communications Diameter Signaling Router 8.0.0 * * * Version Details Vulnerabilities
18 Application Oracle Communications Diameter Signaling Router 8.1 * * * Version Details Vulnerabilities
19 Application Oracle Communications Diameter Signaling Router 8.2 * * * Version Details Vulnerabilities
20 Application Oracle Communications Diameter Signaling Router 8.2.1 * * * Version Details Vulnerabilities
21 Application Oracle Communications Webrtc Session Controller * * * * Version Details Vulnerabilities
22 Application Oracle Communications Webrtc Session Controller 7.2 * * * Version Details Vulnerabilities
23 Application Oracle Data Integrator 12.2.1.3.0 * * * Version Details Vulnerabilities
24 Application Oracle Enterprise Manager Base Platform 12.1.0.5.0 * * * Version Details Vulnerabilities
25 Application Oracle Enterprise Manager Base Platform 13.2.0.0 * * * Version Details Vulnerabilities
26 Application Oracle Enterprise Manager Base Platform 13.3.0.0 * * * Version Details Vulnerabilities
27 Application Oracle Enterprise Manager For Fusion Middleware 13.2.0.0 * * * Version Details Vulnerabilities
28 Application Oracle Enterprise Manager For Fusion Middleware 13.3.0.0 * * * Version Details Vulnerabilities
29 Application Oracle Enterprise Repository 11.1.1.7.0 * * * Version Details Vulnerabilities
30 Application Oracle Enterprise Repository 12.1.3.0.0 * * * Version Details Vulnerabilities
31 Application Oracle Managed File Transfer 12.1.3.0.0 * * * Version Details Vulnerabilities
32 Application Oracle Managed File Transfer 12.2.1.3.0 * * * Version Details Vulnerabilities
33 Application Oracle Peoplesoft Enterprise Peopletools 8.55 * * * Version Details Vulnerabilities
34 Application Oracle Peoplesoft Enterprise Peopletools 8.56 * * * Version Details Vulnerabilities
35 Application Oracle Peoplesoft Enterprise Peopletools 8.57 * * * Version Details Vulnerabilities
36 Application Oracle Retail Convenience And Fuel Pos Software 2.8.1 * * * Version Details Vulnerabilities
37 Application Oracle Retail Xstore Point Of Service 7.0 * * * Version Details Vulnerabilities
38 Application Oracle Retail Xstore Point Of Service 7.1 * * * Version Details Vulnerabilities
39 Application Oracle Soa Suite 12.1.3.0.0 * * * Version Details Vulnerabilities
40 Application Oracle Soa Suite 12.2.1.3.0 * * * Version Details Vulnerabilities
41 Application Oracle Utilities Network Management System 1.12.0.3 * * * Version Details Vulnerabilities
42 Application Oracle Utilities Network Management System 2.3.0.0 * * * Version Details Vulnerabilities
43 Application Oracle Utilities Network Management System 2.3.0.1 * * * Version Details Vulnerabilities
44 Application Oracle Utilities Network Management System 2.3.0.2 * * * Version Details Vulnerabilities
45 Application Oracle Webcenter Portal 11.1.1.9.0 * * * Version Details Vulnerabilities
46 Application Oracle Webcenter Portal 12.2.1.3.0 * * * Version Details Vulnerabilities
47 Application Oracle Weblogic Server 12.2.1.3 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Bouncycastle Legion-of-the-bouncy-castle-java-crytography-api 1
Netapp Oncommand Workflow Automation 1
Opensuse Leap 1
Oracle Api Gateway 1
Oracle Banking Platform 3
Oracle Business Process Management Suite 3
Oracle Business Transaction Management 1
Oracle Communications Application Session Controller 2
Oracle Communications Converged Application Server 2
Oracle Communications Convergence 1
Oracle Communications Diameter Signaling Router 4
Oracle Communications Webrtc Session Controller 2
Oracle Data Integrator 1
Oracle Enterprise Manager Base Platform 3
Oracle Enterprise Manager For Fusion Middleware 2
Oracle Enterprise Repository 2
Oracle Managed File Transfer 2
Oracle Peoplesoft Enterprise Peopletools 3
Oracle Retail Convenience And Fuel Pos Software 1
Oracle Retail Xstore Point Of Service 2
Oracle Soa Suite 2
Oracle Utilities Network Management System 4
Oracle Webcenter Portal 2
Oracle Weblogic Server 1

- References For CVE-2018-1000613

https://github.com/bcgit/bc-java/commit/cd98322b171b15b3f88c5ec871175147893c31e6#diff-148a6c098af0199192d6aede960f45dc CONFIRM
https://lists.apache.org/thread.html/rf1bbc0ea4a9f014cf94df9a12a6477d24a27f52741dbc87f2fd52ff2@%3Cissues.geode.apache.org%3E
MLIST [geode-issues] 20200831 [jira] [Created] (GEODE-8471) Dependency security issues in geode-core-1.12
https://www.oracle.com/technetwork/security-advisory/cpujan2019-5072801.html CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2020-05/msg00011.html
SUSE openSUSE-SU-2020:0607
https://www.oracle.com/security-alerts/cpuoct2020.html
https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html
https://github.com/bcgit/bc-java/commit/4092ede58da51af9a21e4825fbad0d9a3ef5a223#diff-2c06e2edef41db889ee14899e12bd574 CONFIRM
https://www.oracle.com/security-alerts/cpuapr2020.html
N/A N/A
https://security.netapp.com/advisory/ntap-20190204-0003/ CONFIRM
https://www.oracle.com/technetwork/security-advisory/cpuapr2019-5072813.html
https://www.oracle.com/security-alerts/cpuApr2021.html

- Metasploit Modules Related To CVE-2018-1000613

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.